## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/uber-go/tally
%global goipath         github.com/uber-go/tally
Version:                4.1.2

%gometa

%global common_description %{expand:
Tally provides a common interface for emitting metrics, while letting you not
worry about the velocity of metrics emission.

By default it buffers counters, gauges and histograms at a specified interval
but does not buffer timer values. This is primarily so timer values can have all
their values sampled if desired and if not they can be sampled as summaries or
histograms independently by a reporter.}

%global golicenses      LICENSE
%global godocs          example README.md example

Name:           %{goname}
Release:        %autorelease
Summary:        A Go metrics interface with fast buffered metrics and third party reporters

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# m3 tests timeout after 10m0s for armv7hl and i686
%ifarch armv7hl i686
%gocheck -t m3
%else
# TestVerifyCachedTaggedScopesAlloc randomly fails on ppc64le and s390x
%ifarch ppc64le s390x
for test in "TestVerifyCachedTaggedScopesAlloc" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 01 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.2-2
- Skip m3 test also for armv7hl

* Thu Sep 01 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.2-1
- Update to 4.1.2 - Closes rhbz#2025732 rhbz#2045623

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 4.0.1-4
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 22 2021 Fabian Affolter <mail@fabian-affolter.ch> - 4.0.1-1
- Update to latest upstream release 4.0.1 (closes rhbz#1963016)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 03 21:16:42 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.17-1
- Update to 3.3.17

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 06 15:39:53 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.8-1
- Initial package

